locked
What Web Api Version is Web API 4.0.30506 (Web Api 1.0 ?) RRS feed

  • Question

  • Hello.

    My packages.config has the below entry:

    <package id="Microsoft.AspNet.WebApi" version="4.0.30506.0" targetFramework="net45" />

    I've heard Web API 2.2 is the latest version to use (which is confusing because it is tagged as version 5.2.3.  I am using 4.0.305060.0 so is that Web Api 1.0 or some version at 1.x?  What version of Web API am I using? I have seen the list of version on the nuget sight here:

    https://www.nuget.org/packages/Microsoft.AspNet.WebApi/5.2.3

    But the site still does not tell me whether 4.0.30506 is really web api 1.0 or something along those lines.

    Monday, October 19, 2015 3:06 AM

Answers

  • Hi zonkerman,

    As you said,  Web API 2.2 is the latest version.

    <package id="Microsoft.AspNet.WebApi" version="4.0.30506.0" targetFramework="net45" />

    From above code, the version="4.0.30506.0" belongs to the package not Web API's .

    Here is what I found from GitHub.

    When you create a NuGet package, you can specify dependencies for the package in the .nuspec file. You  also specify which versions of a dependency package are required.

    For more detailed information, please refer to https://docs.nuget.org/create/versioning

    Best regards,

    Kristin


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place.
    Click HERE to participate the survey.

    • Marked as answer by zonkerman Tuesday, October 20, 2015 7:54 AM
    Monday, October 19, 2015 5:55 AM